package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module2.filter.YDJJDCSearchContext;

/**
 * 实体 [已登记机动车] 存储模型
 */
public interface YDJJDC{

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 厂牌型号
     */
    String getCPXH();

    void setCPXH(String cPXH);

    /**
     * 获取 [厂牌型号]脏标记
     */
    boolean getCPXHDirtyFlag();
    /**
     * 发动机号
     */
    String getFdjh();

    void setFdjh(String fdjh);

    /**
     * 获取 [发动机号]脏标记
     */
    boolean getFdjhDirtyFlag();
    /**
     * 车辆大类
     */
    String getCldl();

    void setCldl(String cldl);

    /**
     * 获取 [车辆大类]脏标记
     */
    boolean getCldlDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 功率
     */
    Double getGl();

    void setGl(Double gl);

    /**
     * 获取 [功率]脏标记
     */
    boolean getGlDirtyFlag();
    /**
     * 号牌种类
     */
    String getHpzl();

    void setHpzl(String hpzl);

    /**
     * 获取 [号牌种类]脏标记
     */
    boolean getHpzlDirtyFlag();
    /**
     * 车牌号码
     */
    String getCphm();

    void setCphm(String cphm);

    /**
     * 获取 [车牌号码]脏标记
     */
    boolean getCphmDirtyFlag();
    /**
     * 初登日期
     */
    Timestamp getCdrq();

    void setCdrq(Timestamp cdrq);

    /**
     * 获取 [初登日期]脏标记
     */
    boolean getCdrqDirtyFlag();
    /**
     * 核定载客
     */
    Integer getHdzk();

    void setHdzk(Integer hdzk);

    /**
     * 获取 [核定载客]脏标记
     */
    boolean getHdzkDirtyFlag();
    /**
     * 排量
     */
    Double getPl();

    void setPl(Double pl);

    /**
     * 获取 [排量]脏标记
     */
    boolean getPlDirtyFlag();
    /**
     * 车辆实际价值
     */
    BigDecimal getClsjjz();

    void setClsjjz(BigDecimal clsjjz);

    /**
     * 获取 [车辆实际价值]脏标记
     */
    boolean getClsjjzDirtyFlag();
    /**
     * 打印厂牌型号
     */
    String getDycpxh();

    void setDycpxh(String dycpxh);

    /**
     * 获取 [打印厂牌型号]脏标记
     */
    boolean getDycpxhDirtyFlag();
    /**
     * 使用性质
     */
    String getSyxz();

    void setSyxz(String syxz);

    /**
     * 获取 [使用性质]脏标记
     */
    boolean getSyxzDirtyFlag();
    /**
     * 车辆种类
     */
    String getClzl();

    void setClzl(String clzl);

    /**
     * 获取 [车辆种类]脏标记
     */
    boolean getClzlDirtyFlag();
    /**
     * 整备质量
     */
    Double getZbzl();

    void setZbzl(Double zbzl);

    /**
     * 获取 [整备质量]脏标记
     */
    boolean getZbzlDirtyFlag();
    /**
     * 已登记机动车名称
     */
    String getYDJJDCName();

    void setYDJJDCName(String yDJJDCName);

    /**
     * 获取 [已登记机动车名称]脏标记
     */
    boolean getYDJJDCNameDirtyFlag();
    /**
     * 新车购置价
     */
    BigDecimal getXcgzj();

    void setXcgzj(BigDecimal xcgzj);

    /**
     * 获取 [新车购置价]脏标记
     */
    boolean getXcgzjDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 核定载质量
     */
    Double getHdzzl();

    void setHdzzl(Double hdzzl);

    /**
     * 获取 [核定载质量]脏标记
     */
    boolean getHdzzlDirtyFlag();
    /**
     * A/B类
     */
    String getAbl();

    void setAbl(String abl);

    /**
     * 获取 [A/B类]脏标记
     */
    boolean getAblDirtyFlag();
    /**
     * 车辆类型描述
     */
    String getCllxms();

    void setCllxms(String cllxms);

    /**
     * 获取 [车辆类型描述]脏标记
     */
    boolean getCllxmsDirtyFlag();
    /**
     * 车架号
     */
    String getCjh();

    void setCjh(String cjh);

    /**
     * 获取 [车架号]脏标记
     */
    boolean getCjhDirtyFlag();
    /**
     * 号牌底色
     */
    String getHpds();

    void setHpds(String hpds);

    /**
     * 获取 [号牌底色]脏标记
     */
    boolean getHpdsDirtyFlag();
    /**
     * 已登记机动车标识
     */
    String getYDJJDCId();

    void setYDJJDCId(String yDJJDCId);

    /**
     * 获取 [已登记机动车标识]脏标记
     */
    boolean getYDJJDCIdDirtyFlag();
}
